import Gantt from 'frappe-gantt';
import { GanttTask } from './types.d';
export default class Task<T extends object> implements GanttTask<T> {
    id: Gantt.Task['id'];
    name: Gantt.Task['name'];
    start: Gantt.Task['start'];
    end: Gantt.Task['end'];
    _progress: Gantt.Task['progress'];
    _dependencies: Gantt.Task['dependencies'];
    custom_class: Gantt.Task['custom_class'];
    source: T;
    constructor(options?: {});
    get progress(): Gantt.Task['progress'];
    set progress(value: Gantt.Task['progress']);
    setDependencies(value: string): void;
    set dependencies(value: string);
    get dependencies(): Gantt.Task['dependencies'];
}
